package com.foreverwin.mesnac.dispatch.model;

import java.io.Serializable;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import com.baomidou.mybatisplus.annotation.IdType;

/**
 * <p>
 * 物料批次表
 * </p>
 *
 * @author Leon.L
 * @since 2021-06-28
 */

@TableName("Z_ITEM_BATCH")
public class ItemBatch extends Model<ItemBatch> {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
   @TableId(value = "HANDLE", type = IdType.INPUT)
   private String handle;
    /**
     * 站点
     */
   @TableField("SITE")
   private String site;
    /**
     * 工厂
     */
   @TableField("FACTORY")
   private String factory;
    /**
     * 物料编号
     */
   @TableField("ITEM")
   private String item;
    /**
     * 采购批次
     */
   @TableField("BATCH")
   private String batch;
    /**
     * 规格
     */
   @TableField("SPEC")
   private String spec;
    /**
     * 材质
     */
   @TableField("TEXTURE")
   private String texture;
    /**
     * 供应商
     */
   @TableField("SUPPLIER")
   private String supplier;
    /**
     * 标签
     */
   @TableField("LABEL")
   private String label;
   @TableField("IS_PRINT")
   private String isPrint;
    /**
     * 创建人
     */
   @TableField("CREATE_USER")
   private String createUser;
    /**
     * 创建时间
     */
   @TableField("CREATED_DATE_TIME")
   private LocalDateTime createdDateTime;
    /**
     * 修改人
     */
   @TableField("MODIFY_USER")
   private String modifyUser;
    /**
     * 修改时间
     */
   @TableField("MODIFIED_DATE_TIME")
   private LocalDateTime modifiedDateTime;


   public String getHandle() {
      return handle;
   }

   public void setHandle(String handle) {
      this.handle = handle;
   }

   public String getSite() {
      return site;
   }

   public void setSite(String site) {
      this.site = site;
   }

   public String getFactory() {
      return factory;
   }

   public void setFactory(String factory) {
      this.factory = factory;
   }

   public String getItem() {
      return item;
   }

   public void setItem(String item) {
      this.item = item;
   }

   public String getBatch() {
      return batch;
   }

   public void setBatch(String batch) {
      this.batch = batch;
   }

   public String getSpec() {
      return spec;
   }

   public void setSpec(String spec) {
      this.spec = spec;
   }

   public String getTexture() {
      return texture;
   }

   public void setTexture(String texture) {
      this.texture = texture;
   }

   public String getSupplier() {
      return supplier;
   }

   public void setSupplier(String supplier) {
      this.supplier = supplier;
   }

   public String getLabel() {
      return label;
   }

   public void setLabel(String label) {
      this.label = label;
   }

   public String getIsPrint() {
      return isPrint;
   }

   public void setIsPrint(String isPrint) {
      this.isPrint = isPrint;
   }

   public String getCreateUser() {
      return createUser;
   }

   public void setCreateUser(String createUser) {
      this.createUser = createUser;
   }

   public LocalDateTime getCreatedDateTime() {
      return createdDateTime;
   }

   public void setCreatedDateTime(LocalDateTime createdDateTime) {
      this.createdDateTime = createdDateTime;
   }

   public String getModifyUser() {
      return modifyUser;
   }

   public void setModifyUser(String modifyUser) {
      this.modifyUser = modifyUser;
   }

   public LocalDateTime getModifiedDateTime() {
      return modifiedDateTime;
   }

   public void setModifiedDateTime(LocalDateTime modifiedDateTime) {
      this.modifiedDateTime = modifiedDateTime;
   }

public static final String HANDLE = "HANDLE";

public static final String SITE = "SITE";

public static final String FACTORY = "FACTORY";

public static final String ITEM = "ITEM";

public static final String BATCH = "BATCH";

public static final String SPEC = "SPEC";

public static final String TEXTURE = "TEXTURE";

public static final String SUPPLIER = "SUPPLIER";

public static final String LABEL = "LABEL";

public static final String IS_PRINT = "IS_PRINT";

public static final String CREATE_USER = "CREATE_USER";

public static final String CREATED_DATE_TIME = "CREATED_DATE_TIME";

public static final String MODIFY_USER = "MODIFY_USER";

public static final String MODIFIED_DATE_TIME = "MODIFIED_DATE_TIME";


   @Override
   protected Serializable pkVal() {
      return this.handle;
   }

   @Override
   public String toString() {
      return "ItemBatch{" +
         "handle = " + handle +
         ", site = " + site +
         ", factory = " + factory +
         ", item = " + item +
         ", batch = " + batch +
         ", spec = " + spec +
         ", texture = " + texture +
         ", supplier = " + supplier +
         ", label = " + label +
         ", isPrint = " + isPrint +
         ", createUser = " + createUser +
         ", createdDateTime = " + createdDateTime +
         ", modifyUser = " + modifyUser +
         ", modifiedDateTime = " + modifiedDateTime +
         "}";
   }
}